export declare const enum BackendRoutes {
    ExchangeRateRoute = "/api/v0/get-exchange-rate",
    ExchangeBitcoinRoute = "/api/v0/exchange-bitcoin",
    SendDeSoRoute = "/api/v0/send-deso",
    MinerControlRoute = "/api/v0/miner-control",
    GetUsersStatelessRoute = "/api/v0/get-users-stateless",
    RoutePathSubmitPost = "/api/v0/submit-post",
    RoutePathUploadImage = "/api/v0/upload-image",
    RoutePathSubmitTransaction = "/api/v0/submit-transaction",
    RoutePathUpdateProfile = "/api/v0/update-profile",
    RoutePathGetPostsStateless = "/api/v0/get-posts-stateless",
    RoutePathGetProfiles = "/api/v0/get-profiles",
    RoutePathGetSingleProfile = "/api/v0/get-single-profile",
    RoutePathGetSingleProfilePicture = "/api/v0/get-single-profile-picture",
    RoutePathGetPostsForPublicKey = "/api/v0/get-posts-for-public-key",
    RoutePathGetDiamondedPosts = "/api/v0/get-diamonded-posts",
    RoutePathGetHodlersForPublicKey = "/api/v0/get-hodlers-for-public-key",
    RoutePathSendMessageStateless = "/api/v0/send-message-stateless",
    RoutePathGetMessagesStateless = "/api/v0/get-messages-stateless",
    RoutePathMarkContactMessagesRead = "/api/v0/mark-contact-messages-read",
    RoutePathMarkAllMessagesRead = "/api/v0/mark-all-messages-read",
    RoutePathGetFollowsStateless = "/api/v0/get-follows-stateless",
    RoutePathCreateFollowTxnStateless = "/api/v0/create-follow-txn-stateless",
    RoutePathCreateLikeStateless = "/api/v0/create-like-stateless",
    RoutePathBuyOrSellCreatorCoin = "/api/v0/buy-or-sell-creator-coin",
    RoutePathTransferCreatorCoin = "/api/v0/transfer-creator-coin",
    RoutePathUpdateUserGlobalMetadata = "/api/v0/update-user-global-metadata",
    RoutePathGetUserGlobalMetadata = "/api/v0/get-user-global-metadata",
    RoutePathGetNotifications = "/api/v0/get-notifications",
    RoutePathGetAppState = "/api/v0/get-app-state",
    RoutePathGetSinglePost = "/api/v0/get-single-post",
    RoutePathSendPhoneNumberVerificationText = "/api/v0/send-phone-number-verification-text",
    RoutePathSubmitPhoneNumberVerificationCode = "/api/v0/submit-phone-number-verification-code",
    RoutePathBlockPublicKey = "/api/v0/block-public-key",
    RoutePathGetBlockTemplate = "/api/v0/get-block-template",
    RoutePathGetTxn = "/api/v0/get-txn",
    RoutePathDeleteIdentities = "/api/v0/delete-identities",
    RoutePathSendDiamonds = "/api/v0/send-diamonds",
    RoutePathGetDiamondsForPublicKey = "/api/v0/get-diamonds-for-public-key",
    RoutePathGetLikesForPost = "/api/v0/get-likes-for-post",
    RoutePathGetDiamondsForPost = "/api/v0/get-diamonds-for-post",
    RoutePathGetRepostsForPost = "/api/v0/get-reposts-for-post",
    RoutePathGetQuoteRepostsForPost = "/api/v0/get-quote-reposts-for-post",
    RoutePathGetJumioStatusForPublicKey = "/api/v0/get-jumio-status-for-public-key",
    RoutePathVerifyEmail = "/api/v0/verify-email",
    RoutePathResendVerifyEmail = "/api/v0/resend-verify-email",
    RoutePathStartOrSkipTutorial = "/api/v0/start-or-skip-tutorial",
    RoutePathCompleteTutorial = "/api/v0/complete-tutorial",
    RoutePathGetTutorialCreators = "/api/v0/get-tutorial-creators",
    RoutePathUploadVideo = "/api/v0/upload-video",
    RoutePathGetVideoStatus = "/api/v0/get-video-status",
    RoutePathCreateNft = "/api/v0/create-nft",
    RoutePathUpdateNFT = "/api/v0/update-nft",
    RoutePathCreateNFTBid = "/api/v0/create-nft-bid",
    RoutePathAcceptNFTBid = "/api/v0/accept-nft-bid",
    RoutePathGetNFTBidsForNFTPost = "/api/v0/get-nft-bids-for-nft-post",
    RoutePathGetNFTsForUser = "/api/v0/get-nfts-for-user",
    RoutePathGetNFTBidsForUser = "/api/v0/get-nft-bids-for-user",
    RoutePathGetNFTShowcase = "/api/v0/get-nft-showcase",
    RoutePathGetNextNFTShowcase = "/api/v0/get-next-nft-showcase",
    RoutePathGetNFTCollectionSummary = "/api/v0/get-nft-collection-summary",
    RoutePathGetNFTEntriesForPostHash = "/api/v0/get-nft-entries-for-nft-post",
    RoutePathCreateETHTx = "/api/v0/create-eth-tx",
    RoutePathSubmitETHTx = "/api/v0/submit-eth-tx",
    RoutePathGetETHBalance = "/api/v0/get-eth-balance",
    NodeControlRoute = "/api/v0/admin/node-control",
    ReprocessBitcoinBlockRoute = "/api/v0/admin/reprocess-bitcoin-block",
    RoutePathSwapIdentity = "/api/v0/admin/swap-identity",
    RoutePathAdminUpdateUserGlobalMetadata = "/api/v0/admin/update-user-global-metadata",
    RoutePathAdminGetAllUserGlobalMetadata = "/api/v0/admin/get-all-user-global-metadata",
    RoutePathAdminGetUserGlobalMetadata = "/api/v0/admin/get-user-global-metadata",
    RoutePathAdminUpdateGlobalFeed = "/api/v0/admin/update-global-feed",
    RoutePathAdminPinPost = "/api/v0/admin/pin-post",
    RoutePathAdminRemoveNilPosts = "/api/v0/admin/remove-nil-posts",
    RoutePathAdminGetMempoolStats = "/api/v0/admin/get-mempool-stats",
    RoutePathAdminGrantVerificationBadge = "/api/v0/admin/grant-verification-badge",
    RoutePathAdminRemoveVerificationBadge = "/api/v0/admin/remove-verification-badge",
    RoutePathAdminGetVerifiedUsers = "/api/v0/admin/get-verified-users",
    RoutePathAdminGetUserAdminData = "/api/v0/admin/get-user-admin-data",
    RoutePathAdminGetUsernameVerificationAuditLogs = "/api/v0/admin/get-username-verification-audit-logs",
    RoutePathUpdateGlobalParams = "/api/v0/admin/update-global-params",
    RoutePathSetUSDCentsToDeSoReserveExchangeRate = "/api/v0/admin/set-usd-cents-to-deso-reserve-exchange-rate",
    RoutePathGetUSDCentsToDeSoReserveExchangeRate = "/api/v0/admin/get-usd-cents-to-deso-reserve-exchange-rate",
    RoutePathSetBuyDeSoFeeBasisPoints = "/api/v0/admin/set-buy-deso-fee-basis-points",
    RoutePathGetBuyDeSoFeeBasisPoints = "/api/v0/admin/get-buy-deso-fee-basis-points",
    RoutePathAdminGetGlobalParams = "/api/v0/admin/get-global-params",
    RoutePathGetGlobalParams = "/api/v0/get-global-params",
    RoutePathEvictUnminedBitcoinTxns = "/api/v0/admin/evict-unmined-bitcoin-txns",
    RoutePathGetWyreWalletOrdersForPublicKey = "/api/v0/admin/get-wyre-wallet-orders-for-public-key",
    RoutePathAdminGetNFTDrop = "/api/v0/admin/get-nft-drop",
    RoutePathAdminUpdateNFTDrop = "/api/v0/admin/update-nft-drop",
    RoutePathAdminResetJumioForPublicKey = "/api/v0/admin/reset-jumio-for-public-key",
    RoutePathAdminUpdateJumioDeSo = "/api/v0/admin/update-jumio-deso",
    RoutePathAdminUpdateTutorialCreators = "/api/v0/admin/update-tutorial-creators",
    RoutePathAdminResetTutorialStatus = "/api/v0/admin/reset-tutorial-status",
    RoutePathAdminGetTutorialCreators = "/api/v0/admin/get-tutorial-creators",
    RoutePathAdminJumioCallback = "/api/v0/admin/jumio-callback",
    RoutePathAdminCreateReferralHash = "/api/v0/admin/create-referral-hash",
    RoutePathAdminGetAllReferralInfoForUser = "/api/v0/admin/get-all-referral-info-for-user",
    RoutePathAdminUpdateReferralHash = "/api/v0/admin/update-referral-hash",
    RoutePathAdminDownloadReferralCSV = "/api/v0/admin/download-referral-csv",
    RoutePathAdminUploadReferralCSV = "/api/v0/admin/upload-referral-csv",
    RoutePathGetReferralInfoForUser = "/api/v0/get-referral-info-for-user",
    RoutePathGetReferralInfoForReferralHash = "/api/v0/get-referral-info-for-referral-hash",
    RoutePathGetFullTikTokURL = "/api/v0/get-full-tiktok-url",
    RoutePathGetWyreWalletOrderQuotation = "/api/v0/get-wyre-wallet-order-quotation",
    RoutePathGetWyreWalletOrderReservation = "/api/v0/get-wyre-wallet-order-reservation",
    RoutePathAdminSetTransactionFeeForTransactionType = "/api/v0/admin/set-txn-fee-for-txn-type",
    RoutePathAdminSetAllTransactionFees = "/api/v0/admin/set-all-txn-fees",
    RoutePathAdminGetTransactionFeeMap = "/api/v0/admin/get-transaction-fee-map",
    RoutePathAdminAddExemptPublicKey = "/api/v0/admin/add-exempt-public-key",
    RoutePathAdminGetExemptPublicKeys = "/api/v0/admin/get-exempt-public-keys"
}
